gstreamermm: Gst::TypeFind Class Reference

# Gst::TypeFind Class Reference
[gstreamermm Plugins]

Gst::TypeFind - typefind plugin. More...

`#include <typefind.h>`

Inheritance diagram for Gst::TypeFind:

List of all members.

## Public Member Functions
virtual | ~TypeFind ()
GstTypeFindElement* | gobj ()
| Provides access to the underlying C GObject.
const GstTypeFindElement* | gobj () const
| Provides access to the underlying C GObject.
GstTypeFindElement* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy_ReadOnly <Glib::RefPtr<Gst::Caps>> | property_caps () const
| detected capabilities in stream.
Glib::PropertyProxy<guint> | property_minimum ()
| minimum probability required to accept caps.
Glib::PropertyProxy_ReadOnly <guint> | property_minimum () const
| minimum probability required to accept caps.
Glib::PropertyProxy<guint> | property_maximum ()
| probability to stop typefinding (deprecated; non-functional).
Glib::PropertyProxy_ReadOnly <guint> | property_maximum () const
| probability to stop typefinding (deprecated; non-functional).
Glib::PropertyProxy <Glib::RefPtr<Gst::Caps>> | property_force_caps ()
| force caps without doing a typefind.
Glib::PropertyProxy_ReadOnly <Glib::RefPtr<Gst::Caps>> | property_force_caps () const
| force caps without doing a typefind.
Glib::SignalProxy2< void, guint, const Glib::RefPtr <Gst::Caps >&> | signal_have_type ()
## Static Public Member Functions
static Glib::RefPtr<TypeFind> | create ()
| Creates a new typefind plugin with a unique name.
static Glib::RefPtr<TypeFind> | create (const Glib::ustring& name)
| Creates a new typefind plugin with the given name.
## Protected Member Functions
| TypeFind ()
| TypeFind (const Glib::ustring& name)
virtual void | on_have_type (guint arg0, const Glib::RefPtr<Gst::Caps>& arg1)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gst::TypeFind> | wrap (GstTypeFindElement* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Gst::TypeFind - typefind plugin.

Please include <gstreamermm/typefind.h> to use. Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems and the ones that aren't available are not included in the build.

## Constructor& Destructor Documentation

virtual Gst::TypeFind::~TypeFind | ( |  | ) | `[virtual]`

Gst::TypeFind::TypeFind | ( |  | ) | `[protected]`

Gst::TypeFind::TypeFind | ( | const Glib::ustring & | name | ) | `[protected]`

## Member Function Documentation

GstTypeFindElement* Gst::TypeFind::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

const GstTypeFindElement* Gst::TypeFind::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

GstTypeFindElement* Gst::TypeFind::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::Element.

static Glib::RefPtr<TypeFind> Gst::TypeFind::create | ( |  | ) | `[static]`

Creates a new typefind plugin with a unique name.

static Glib::RefPtr<TypeFind> Gst::TypeFind::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new typefind plugin with the given name.

Glib::PropertyProxy_ReadOnly<Glib::RefPtr<Gst::Caps>> Gst::TypeFind::property_caps | ( |  | ) | const

detected capabilities in stream.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> Gst::TypeFind::property_minimum | ( |  | ) |

minimum probability required to accept caps.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Gst::TypeFind::property_minimum | ( |  | ) | const

minimum probability required to accept caps.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> Gst::TypeFind::property_maximum | ( |  | ) |

probability to stop typefinding (deprecated; non-functional).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Gst::TypeFind::property_maximum | ( |  | ) | const

probability to stop typefinding (deprecated; non-functional).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::RefPtr<Gst::Caps>> Gst::TypeFind::property_force_caps | ( |  | ) |

force caps without doing a typefind.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::RefPtr<Gst::Caps>> Gst::TypeFind::property_force_caps | ( |  | ) | const

force caps without doing a typefind.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::SignalProxy2<void,guint,const Glib::RefPtr<Gst::Caps>&> Gst::TypeFind::signal_have_type | ( |  | ) |

Prototype:
  `void on_my_have_type(guint arg0, const Glib::RefPtr<Gst::Caps>& arg1)`

virtual void Gst::TypeFind::on_have_type | ( | guint | arg0,
|  | const Glib::RefPtr<Gst::Caps>& | arg1 |
| ) |  |  | `[protected, virtual]`

## Friends And Related Function Documentation

Glib::RefPtr<Gst::TypeFind> wrap | ( | GstTypeFindElement * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- typefind.h